﻿<?php
session_start();
include 'includes/encryptPassword.php';
include 'includes/drm_nusoap.php';

$username = $_REQUEST["username"];
$pwd = $_REQUEST["password"];

/****** Connect database configuration *******/
$dbcon=mysqli_connect("localhost","root","","cgman");//Link your database parameter settings 

if (mysqli_connect_errno($dbcon)){
    echo "Connect MySQL failed: " . mysqli_connect_error();
}

mysqli_set_charset ($dbcon,'utf8');


/****** Verify user input password *******/
$result = mysqli_query($dbcon,"SELECT ID,user_pass,user_email FROM wp_users WHERE user_login= '" .$username. "'");
$row = mysqli_fetch_array($result, MYSQLI_ASSOC);
$email = $row['user_email'];
$newpwd = EncryptPassword::verifyPassword($pwd,$row['user_pass'],$row['ID']);
/***/
if ($newpwd != true ) {
	$info = "Your Account or Password is incorrect! <br><br>Please revisit the course!<br>";
} else{
	$_SESSION['username'] 	= $username;
    $_SESSION['pwd'] 		= $pwd;
	$userid 				= $row['ID'];
	$userEmail 				= $email;
	$PIDs 					= explode('-', $_SESSION['ProductID']);
	$flag 					= 0;
    
    /********* Business logic verification ***********/
    
	// Query the order based on the user ID
	$order_query = mysqli_query($dbcon,"SELECT post_id FROM wp_postmeta WHERE meta_key= '_user_id' AND meta_value = '" .$userid. "'");
	
	while($order_result = mysqli_fetch_array($order_query, MYSQLI_ASSOC)){
		$PostID = $order_result['post_id'];

		// Get order_item_id based on post_id
		$order_item_id_query = mysqli_query($dbcon,"SELECT order_item_id FROM wp_learnpress_order_items WHERE order_id = '" .$PostID. "'");

		while($order_item_id_result = mysqli_fetch_array($order_item_id_query, MYSQLI_ASSOC)){
			$order_item_id = $order_item_id_result['order_item_id'];
			// Get product ID based on Order ID
			$course_query = mysqli_query($dbcon,"SELECT meta_value FROM wp_learnpress_order_itemmeta WHERE meta_key = '_course_id' AND learnpress_order_item_id = '" .$order_item_id. "'");
			$course_result = mysqli_fetch_array($course_query);
			$course_id = $course_result['meta_value'];
			
            /***** Verify whether the user has purchased the course. ****/
			foreach ($PIDs as $ProductID) {
				if($course_id == $ProductID){
					
					$status_query = mysqli_query($dbcon,"SELECT post_date, post_status FROM wp_posts WHERE ID = ".$PostID);
					$status_result = mysqli_fetch_array($status_query, MYSQLI_ASSOC);
					$order_status = $status_result['post_status']; //get order status
					//$BeginDate = $status_result['post_status'];

					// Verify the order status is completed
					if($order_status == "lp-completed"){

						$wsdl="http://4.drm-x.com/haihaisoftlicenseservice.asmx?wsdl";
                        
                        /***The interface provided by DRM-X detects whether the user exists on the DRM-X platform.***/
						$CheckUser_param = array(
							'UserName' 				=> $username,
							'AdminEmail' 			=> '994184623@qq.com',//Your DRM-X4.0 login account 
							'WebServiceAuthStr' 	=> '123456',//The verification code of your license service
						);

						$client = new nusoap_client($wsdl, 'wsdl');
						$client->soap_defencoding = 'UTF-8';
						$client->decode_utf8 = false;
						$CheckUser = $client->call('CheckUserExists', array('parameters' => $CheckUser_param), '', '', true, true);

						$CheckUser_result = $CheckUser['CheckUserExistsResult'];
                        /*** End checking whether the user exists. **/
                        
                        
						// If the username is not exists, call 'AddNewUser' to add user.
						if($CheckUser_result == "False"){
							$add_user_param = array(
								'AdminEmail' 		=> '994184623@qq.com',//Your DRM-X4.0 login account 
								'WebServiceAuthStr' => '123456',//The verification code of your license service
								'GroupID' 			=> '11269',//User group ID 
								'UserLoginName' 	=> $username,//User name or ID 
								'UserPassword' 		=> $pwd,//User password 
								'UserEmail' 		=> $userEmail,//User Email
								'UserFullName' 		=> 'N/A',//Full Name 
								'Title' 			=> 'N/A',
								'Company' 			=> 'N/A',
								'Address' 			=> 'N/A',
								'City' 				=> 'N/A',
								'Province' 			=> 'N/A',
								'ZipCode' 			=> 'N/A',
								'Phone' 			=> 'N/A',
								'CompanyURL' 		=> 'N/A',
								'SecurityQuestion' 	=> 'N/A',
								'SecurityAnswer' 	=> 'N/A',
								'IP' 				=> getIP(),//The IP of the device when the user obtains the license
								'Money' 			=> '0',//User balance 
								'BindNumber' 		=> '1',//Number of user hardware binding 
								'IsApproved' 		=> 'yes',//Is user audit passed
								'IsLockedOut' 		=> 'no',//Is the user locked
							);

							$add_user = $client->call('AddNewUser', array('parameters' => $add_user_param), '', '', true, true);
							$result = $add_user['AddNewUserResult'];
						}
                        /*** New users successfully added ***/
                        
                        /*** Obtaining course duration ***/
						$duration_query = mysqli_query($dbcon,"SELECT meta_value FROM wp_postmeta WHERE meta_key = '_lp_duration' AND post_id = ".$course_id);
						$duration_result = mysqli_fetch_array($duration_query, MYSQLI_ASSOC);
						$lp_duration = $duration_result['meta_value']; //get order status

						if(strpos($lp_duration,"week") > 0){
							$arr = explode(" ",$lp_duration);
							$lp_duration = $arr[0]*7;
						}else{
							$lp_duration = explode(" ",$lp_duration)[0];
						}
                        
                        /*** Automatically update license permissions for users based on duration of the course ****/
						$updateRight_param = array(
							'AdminEmail' 				=> "994184623@qq.com",//Your DRM-X4.0 login account 
							'WebServiceAuthStr' 		=> "123456",//The verification code of your license service
							'RightsID' 					=> "18476",//Rights ID
							'Description' 				=> "Courses Rights (Please don't delete)",
							'PlayCount' 				=> "-1",
							'BeginDate' 				=> "2018/8/16",
							'ExpirationDate' 			=> "2030/8/16",
							'ExpirationAfterFirstUse' 	=> $lp_duration,
							'RightsPrice' 				=> "0",
							'AllowPrint' 				=> "False",
							'AllowClipBoard' 			=> "False",
							'AllowDoc' 					=> "False",
							'EnableWatermark' 			=> "True",
							'WatermarkText' 			=> $email." ++username",
							'WatermarkArea' 			=> "1,2,3,4,5,",
							'RandomChangeArea' 			=> "True",
							'RandomFrquency' 			=> "12",
							'EnableBlacklist' 			=> "False",
							'EnableWhitelist' 			=> "False",
							'ExpireTimeUnit' 			=> "Day",
							'PreviewTime' 				=> 3,
							'PreviewTimeUnit' 			=> "Day",
							'PreviewPage' 				=> 3,
						);

						$UpdateRight = $client->call("UpdateRight", array("parameters" => $updateRight_param), "", "", true, true);
						$UpdateRight_result = $UpdateRight["UpdateRightResult"];
                        
                        /*****After the License Rights is updated, perform the method of obtaining the license****/
                        $param = array(
                          'AdminEmail'         => '994184623@qq.com',//Your DRM-X4.0 login account 
                          'WebServiceAuthStr'  => '123456',//The verification code of your license service
                          'ProfileID'          => $_SESSION["ProfileID"],
                          'ClientInfo'         => $_SESSION["ClientInfo"],
                          'RightsID'           => $_SESSION["RightsID"],
                          'UserLoginName'      => $username,
                          'UserFullName'       => 'N/A',
                          'GroupID'            => 11269,//User group ID 
                          'Message'            => 'N/A',
                          'IP'                 => getIP(),
                          'Platform'           => $_SESSION["Platform"],
                          'ContentType'        => $_SESSION["ContentType"],
                          'Version'            => $_SESSION["Version"],
                        );

                        $client = new nusoap_client($wsdl, 'wsdl');
                        $client->soap_defencoding = 'UTF-8';
                        $client->decode_utf8 = false;
                        /*****Obtain license by calling getLicenseRemoteToTableWithVersion******/
                        $result = $client->call('getLicenseRemoteToTableWithVersion', array('parameters' => $param), '', '', true, true);
                        $license = $result['getLicenseRemoteToTableWithVersionResult'];
                        $message = $result['Message'];

                        if(stripos($license, '<div id="License_table_DRM-x4" style="display:none;">' )  === false )
                          echo "<SCRIPT language=JavaScript>location='LicError.php?error=".$license."&message=".$message."';</SCRIPT>";
                        /*****After obtaining the license, store the license and message through the session, and then direct to the licstore page******/
                        $_SESSION['license'] = $license;
                        $_SESSION['message'] = $message;
                        header('location: licstore.php');
						$flag = 1;
						$info = "Getting license...";
						exit;
					}
				}
			}
		}
	}
	if($flag == 0) $info = "You have not purchased this course yet, can not open this file! <br> Please buy a course first! <br> If you have questions, Please contact us!";
}

/***** End of business logic verification ******/

function getIP(){
    static $realip;
    if (isset($_SERVER)){
        if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])){
            $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];
        } else if (isset($_SERVER["HTTP_CLIENT_IP"])) {
            $realip = $_SERVER["HTTP_CLIENT_IP"];
        } else {
            $realip = $_SERVER["REMOTE_ADDR"];
        }
    } else {
        if (getenv("HTTP_X_FORWARDED_FOR")){
            $realip = getenv("HTTP_X_FORWARDED_FOR");
        } else if (getenv("HTTP_CLIENT_IP")) {
            $realip = getenv("HTTP_CLIENT_IP");
        } else {
            $realip = getenv("REMOTE_ADDR");
        }
    }
    return $realip;
}
?>

<!DOCTYPE html>
<html>
<head>
 <meta http-equiv="content-type" content="text/html; charset=UTF-8">
 <title>Login and obtain license</title>
 <link rel="stylesheet" type="text/css" href="css/login-style.css" />
 <script type="text/javascript" src="js/login.js"></script>
</head>

<body>
	<div class="login-wrap">
       <div class="login-head">
          <div align="center"><img src="images/ables-kota-logo.png" alt=""></div>
       </div>
       <form name="postForm" action="login.php" method="post">
		<div class="login-cont">
		<div id="btl-login-error" class="btl-error">
			<div class="black">
				<?php 
					echo $info;
				?>
			</div>
		</div>
          <div class="login-foot">
             <div class="foot-tit">Other options</div>
             <div class="foot-acts">
                <a class="link-reg" href="https://www.ableskota.com/contact/" target="_blank">Help?</a>
            	<a class="link-get-pwd" href="https://www.ableskota.com/courses/" target="_blank">Buy Course</a>
             </div>
          </div>
		</div>
	  </form>
</div>
</body>
</html>